com.mockobjects.helpers

## Class AbstractServletTestHelper

- java.lang.Object
- - com.mockobjects.helpers.AbstractServletTestHelper

Direct Known Subclasses:
  FilterTestHelper, ServletTestHelper, TagTestHelper

    public abstract class AbstractServletTestHelper
    extends java.lang.Object

$Revision: 1.1 $

### Constructor Summary

Constructors
Constructor and Description
`AbstractServletTestHelper()`

### Method Summary

Methods
`MockHttpSession` `getHttpSession()`
`MockHttpServletRequest` `getRequest()`
`MockRequestDispatcher` `getRequestDispatcher()`
`MockHttpServletResponse` `getResponse()`
`MockServletConfig` `getServletConfig()`
`MockServletContext` `getServletContext()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractServletTestHelper

    public AbstractServletTestHelper()

### Method Detail

#### getRequest

    public MockHttpServletRequest getRequest()

#### getHttpSession

    public MockHttpSession getHttpSession()

#### getRequestDispatcher

    public MockRequestDispatcher getRequestDispatcher()

#### getResponse

    public MockHttpServletResponse getResponse()

#### getServletContext

    public MockServletContext getServletContext()

#### getServletConfig

    public MockServletConfig getServletConfig()